
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C++函数参数传递三种方式 / iVAN</title>

    <meta name="description" content="C++函数参数传递三种方式        当进行函数调用的时候,要填入与函数形式参数个数相同的实际参数,在程序运行的过程中,实参会将参数值传递给形参,C++函数参数传递有以下三种方式. 一. 值传递 1. 利用值传递方式,实际上是把实参的内容复制到形参中,实参和形参是存放在两个不同的内存空间中.在函数体内对形参的一切修改对实参都没有影响 2. 如果形参是类的对象,利用值传递的话每次都要调用类的构造函数构造对象,效率比较低 3. 看下面这个例子 #include&lt;iostream&gt; #include&lt;alg ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C++函数参数传递三种方式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>       当进行函数调用的时候，要填入与函数形式参数个数相同的实际参数，在程序运行的过程中，实参会将参数值传递给形参，C++函数参数传递有以下三种方式。</p>
<p>一. 值传递</p>
<p>1. 利用值传递方式，实际上是把实参的内容复制到形参中，实参和形参是存放在两个不同的内存空间中。在函数体内对形参的一切修改对实参都没有影响</p>
<p>2. 如果形参是类的对象，利用值传递的话每次都要调用类的构造函数构造对象，效率比较低</p>
<p>3. 看下面这个例子</p>
<pre>#include&lt;iostream&gt;
#include&lt;algorithm&gt;
using namespace std;

class Node{
public:
	Node(){}
private:
	int value;
};

//形参是内置数据类型
void Fun(int a){
	cout&lt;&lt;"形参a的地址 = "&lt;&lt;&amp;a&lt;&lt;endl;
}

//形参是类的对象
void Fun(Node node){
	cout&lt;&lt;"形参node的地址 = "&lt;&lt;&amp;node&lt;&lt;endl;
}

int main(){
	//内置数据类型
	int a = 10;
	cout&lt;&lt;"实参a的地址 = "&lt;&lt;&amp;a&lt;&lt;endl;
	Fun(a);
	//数据类型是类
	Node node;
	cout&lt;&lt;"实参node的地址 = "&lt;&lt;&amp;node&lt;&lt;endl;
	Fun(node);

	return 0;
}
</pre>
<p>输出结果如下<br />
<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA1MjgwOTM1MzEyOTY=.jpg"></p>
<p>说明形参和实参确实是存放在两个不同的内存单元中</p>
<p>二. 指针传递（地址传递）</p>
<p>1. 当进行指针传递的时候，形参是指针变量，实参是一个变量的地址或者是指针变量，调用函数的时候，形参指向实参的地址。</p>
<p>2. 指针传递中，函数体内可以通过形参指针改变实参地址空间的内容。</p>
<p>3. 看下面例子</p>
<pre>//指针传递
void swap(int *a, int *b){
	cout&lt;&lt;"形参指针a的地址 = "&lt;&lt;a&lt;&lt;endl;
	cout&lt;&lt;"形参指针b的地址 = "&lt;&lt;b&lt;&lt;endl;
    int tmp = *a;
	*a = *b;
	*b = tmp;
}

int main(){
	int a = 5;
	int b = 10;
	cout&lt;&lt;"实参变量a的地址 = "&lt;&lt;&amp;a&lt;&lt;endl;
	cout&lt;&lt;"实参变量b的地址 = "&lt;&lt;&amp;b&lt;&lt;endl;
	cout&lt;&lt;"实参变量a的值 = "&lt;&lt;a&lt;&lt;endl;
	cout&lt;&lt;"实参变量b的值 = "&lt;&lt;b&lt;&lt;endl;
	//调用函数，指针传递方式
	swap(&amp;a, &amp;b);
	cout&lt;&lt;"实参变量a的值 = "&lt;&lt;a&lt;&lt;endl;
	cout&lt;&lt;"实参变量b的值 = "&lt;&lt;b&lt;&lt;endl;
	getchar();
	return 0;
}
</pre>
<p>输出结果<br />
<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA1MjgwOTUxMTI2NzE=.jpg"></p>
<p>说明指针传递的过程中， 确实是把实参的地址传递给形参，通过形参指针确实可以更改实参指向的内存空间的值。</p>
<p>三. 传递引用</p>
<p>1. 引用实际上是某一个变量的别名，和这个变量具有相同的内存空间。 </p>
<p>2. 实参把变量传递给形参引用，相当于形参是实参变量的别名，对形参的修改都是直接修改实参。</p>
<p>3. 在类的成员函数中经常用到类的引用对象作为形参，大大的提高代码的效率</p>
<p>4. 看以下例子</p>
<pre>//引用传递
void Fun(int &amp;a){
	cout&lt;&lt;"形参引用a的地址 = "&lt;&lt;&amp;a&lt;&lt;endl;
	a = 100; //对形参引用进行修改
}

int main(){
	int a = 10;
	cout&lt;&lt;"实参a的地址 = "&lt;&lt;&amp;a&lt;&lt;endl;
	cout&lt;&lt;"实参a的值 = "&lt;&lt;a&lt;&lt;endl;
	Fun(a);
	cout&lt;&lt;"实参a的值 = "&lt;&lt;a&lt;&lt;endl;
	getchar();
	return 0;
}
</pre>
<p>输出结果</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA1MjgxMDAwMDgzMTI=.jpg"></p>
<p>说明，形参引用的修改会直接修改实参变量的值。建议采用传递引用的方式</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 23:42:29</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%b1%bb%e5%9e%8b/" title="数据类型">数据类型</a>, <a href="https://www.iamivan.net/tag/node/" title="node">node</a>, <a href="https://www.iamivan.net/tag/void/" title="void">void</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C++函数参数传递三种方式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Nn9nz.html" rel="bookmark">JS中创建函数的三种方式及区别&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.函数声明 function sum1(n1,n2){ return n1+n2; }; 2.函数表达式,又叫函数字面量 var sum2=function(n1,n2){ return n1+n2; }; 两者的区别:解析器会先读取函数声明,并使其在执行任何代码之前可以访问:而函数表达式则必须等到解析器执行到它所在的代码行才会真正被解释执行. 自执行函数严格来说也叫函数表达式,它主要用于创建一个新的作用域,在此作用域内声明的变量,不会和其它作用域内的变量冲突或混淆,大多是以匿名函数方式存在,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZZ7gz.html" rel="bookmark">javascript函数命名的三种方式及区别介绍&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				javascript函数命名的三种方式及区别介绍 第一 复制代码 代码如下: function fn(val1,val2) { alert(val1+val2); } fn(1,2); 第二 复制代码 代码如下: var fn=function() { alert(val1+val2); } fn(1,2); 第三 复制代码 代码如下: var fn=new Function(&quot;alert(val1+val2)&quot;); fn(1,2);  上面三种方式逻辑上是等价的,但是还是有点小区别:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Pkg8M.html" rel="bookmark">探讨JavaScript中声明全局变量三种方式的异同</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				     这篇文章主要介绍了JavaScript中声明全局变量三种方式的异同.变量及变量声明是一门语言最基本的概念,初学者都会很快掌握.需要的朋友可以过来参考下,希望对大家有所帮助 变量及变量声明是一门语言最基本的概念,初学者都会很快掌握.JavaScript中声明变量也是如此,很简单var(关键字)+变量名(标识符).   方式1   var test; var test = 5;需注意的是该句不能包含在function内,否则是局部变量.这是第一种方式声明全局变量.   方式2   test			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOam53M.html" rel="bookmark">JavaScript中定义函数的三种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了JavaScript中定义函数的三种方法,本文直接给出代码实现,同时给出了构造函数的相关知识,需要的朋友可以参考下     在JavaScript的世界里,定义函数的方法多种多样,这正是JavaScript灵活性的体现,但是正是这个原因让初学者摸不着头脑,尤其对于没有 语言基础的同学.正所谓条条大道通罗马,但是如果道路太多,会让行路者不知所措,因为不知道走那条路才是正途,呵呵,废话一大篇,闲言少叙,先看代码: 代码如下: /*第一种方法,使用function语句,格式如下*/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQjQxOM.html" rel="bookmark">javacsript绑定事件的三种方式与各自特点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				javacsript绑定事件的三种方式与各自特点 1. 在HTML中直接绑定 &lt;input type=&quot;button&quot; value=&quot;Click me!&quot; onclick=&quot;doSomething();&quot; /&gt; 在HTML中绑定函数还有两种方式:原生函数和自定义函数(原文链接:链接)   当JavaScript代码偏少的时候,这种方式还能勉强接受.当代码规模变大的时候,这种方式明显地带来很多不方便的东西.例如修改行为的时候还需要去修改			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW7JBEM.html" rel="bookmark">Android获取view高度的三种方式&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文为大家分享了Android获取view高度的方法,供大家参考,具体内容如下 getMeasuredHeight()与getHeight的区别 实际上在当屏幕可以包裹内容的时候,他们的值相等, 只有当view超出屏幕后,才能看出他们的区别: getMeasuredHeight()是实际View的大小,与屏幕无关, 而getHeight的大小此时则是屏幕的大小. 当超出屏幕后,getMeasuredHeight()等于getHeight()加上屏幕之外没有显示的大小 具体方法 我们知道在oncr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJOxvVb.html" rel="bookmark">探讨JavaScript中声明全局变量三种方式的异同&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				变量及变量声明是一门语言最基本的概念,初学者都会很快掌握.JavaScript中声明变量也是如此,很简单var(关键字)+变量名(标识符). 方式1 var test;var test = 5;需注意的是该句不能包含在function内,否则是局部变量.这是第一种方式声明全局变量. 方式2 test = 5;没有使用var,直接给标识符test赋值,这样会隐式的声明了全局变量test.即使该语句是在一个function内,当该function被执行后test变成了全局变量. 方式3 window			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxEA7jp.html" rel="bookmark">JavaScript 申明函数的三种方法 每个函数就是一个对象（一）&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.申明函数的三种方法 (Declaring a Function) 方法一:function functionName([parameters]){functionBody}; Example D1 复制代码 代码如下: function add(a, b) { return a+b; } alert(add(1,2)); // produces 3 当我们这样申明函数时,函数的内容被解释(但没有执行,要我们调用该函数才会执行),同时,一个名为add的对象已经建立. 方法二:将一个未命名的函数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA6Wj3p.html" rel="bookmark">JavaScript中绑定事件的三种方式及去除绑定&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在JavaScript中,有三种常用的绑定事件的方法 第一种办法 函数写在结构层里面 非常不好,使页面很混乱,行为与结构得不到分离 &lt;input type=&quot;button&quot; onclick=&quot;func();&quot;&gt; 绑定事件的第二种办法 好处:行为与结构开始分离 缺点: 第二种绑定方式中只能给一个时间绑定一个处理函数 即.onclick = fn1;  .  onclick = fn2 最终的效果是onclick = fn2 &lt;select name=			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkW1rp.html" rel="bookmark" class="title">PHP学习之PHP变量</a>
					<div>
						PHP变量 PHP3支持下面类型的变量: (一).内部变量 主要有整数(interger),浮点数(float-point numbers),字符串(string),数组(array),对象(obje ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrkP1p.html" rel="bookmark" class="title">如何得到一个汉字和字母组合的字符串的准确的长度&lpar;asp&period;net 版本的&rpar;</a>
					<div>
						asp.net|汉字|字符串 在实际工作应用中,很多的时候会出现这样的情况,由于我们对于汉字的特殊的要求,在计算字符个数的时候,由于是Unicode的原因,我们对于一个 汉字 应该是按照两个字符计算, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqlmOb.html" rel="bookmark" class="title">如何通过网站内容提高网站关键词排名</a>
					<div>
						前两天去拜访一个客户,在谈到网站优化的时候,客户说只要我们自己不断的更新内容,慢慢的就会有好的排名,对于这点我不否认,对于一些竞争不高的关键词通过更新内容是绝对可以达到一个好的排名的,我就帮一个朋友做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2we5M.html" rel="bookmark" class="title">Informix初始化都做了些什么</a>
					<div>
						onstat工具 为每一台机器安装软件 检查$INFOMRIXDIR/release目录下的release notes 配置推荐的核心配置参数 准备磁盘空间 设置所需环境变量 创建一个sqlhosts ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7Vrab.html" rel="bookmark" class="title">照片处理：让Photoshop充当后期&OpenCurlyDoubleQuote;反光板&rdquo;</a>
					<div>
						随着数码相机的普及,很多朋友都喜欢用数码相机留下生活中美好的一刻.但由于拍摄技术的局限,拍出来的照片并不十分满意,于是后期修补工作就显得非常重要. 先来看看这张照片,处在阴影中的女士,如图: 具体方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOJXob.html" rel="bookmark" class="title">GDI&plus;中常见的几个问题&lpar;2&rpar;</a>
					<div>
						3. System.OutOfMemoryException 首先我们还是来看一段代码 Bitmap bmpTemp = new Bitmap(image); Bitmap bmp = new Bit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2Zr6p.html" rel="bookmark" class="title">J2ME游戏APIのGameCanvas游戏画布</a>
					<div>
						GameCanvas是MIDP2.0的一个最主要元素,提高了J2ME游戏开发的方便性,相对于MIDP1.0,降低了J2ME游戏开发的难度跟成本,本文专门详述了GameCanvas游戏画布的有关内容,对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxrZ2b.html" rel="bookmark" class="title">allaboutOracleDatabasePSU&sol;CPU</a>
					<div>
						  1. 什么是PSU/CPU? CPU: Critical Patch Update Oracle对于其产品每个季度发行一次的安全补丁包,通常是为了修复产品中的安全隐患. PSU: Patch Se ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7krGrz.html" rel="bookmark" class="title">Photoshop设计书法人像前后期创作分享</a>
					<div>
						作品前期创作部分 启发 因为是学美术出身,并且学过国画的缘故,自己对中国艺术有着无比的热爱.或许是中国传统艺术中女性的红粉绿黛.千娇百媚,或许是一袭笔墨带出的行云流水,一滴朱砂晕染出的胭脂红唇,总是能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8YwZp.html" rel="bookmark" class="title">Photoshop给人像添加惊艳的妆容</a>
					<div>
						总结:1.快速蒙版工具的应用.2.色彩平衡调整图层命令的应用. 外理前: 处理后: 操作步骤: 一眼妆处理 1.打开照片. 2.新建色彩平衡调整图层. 3.修改色彩平衡的数值. 4.反相. 5.白色画 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24yD3p.html" rel="bookmark" class="title">Photoshop调出后期人像照片复古炫美色调</a>
					<div>
						只要有明媚生活的希翼,终究绽放绚丽的色彩,可以是自己想要明媚的样子.温暖身边的人,也温暖自己.这次后期教程除了皮肤再造调色外,还有复古的&quot;炫光色&quot;处理,希望对之前对此色调感兴趣的会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaWRkz.html" rel="bookmark" class="title">运维必会-Awk使用案例总结</a>
					<div>
						知识点: 1)数组 数组是用来存储一系列值的变量,可通过索引来访问数组的值. Awk中数组称为关联数组,因为它的下标(索引)可以是数字也可以是字符串. 下标通常称为键,数组元素的键和值存储在Awk程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN2dOM.html" rel="bookmark" class="title">HDFS源码分析数据块复制选取复制源节点</a>
					<div>
						        数据块的复制当然需要一个源数据节点,从其上拷贝数据块至目标数据节点.那么数据块复制是如何选取复制源节点的呢?本文我们将针对这一问题进行研究.         在BlockManager ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVJnOb.html" rel="bookmark" class="title">请问我这些域名有人买吗&quest;贱卖了的&excl;</a>
					<div>
						问题描述 04www.iw8.net.cn05www.ii60.com.cn06www.ii60.cn07www.ii60.com09www.kx68.net.cn10www.lcjh.net.cn1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn75A2z.html" rel="bookmark" class="title">domino 8的集群要如何配置</a>
					<div>
						问题描述 小弟第一次接触domino,想请教一下论坛的各位DX,domino的集群是怎么配置的啊?如果有详尽的说明文档就更好啦-谢谢各位啦! 解决方案 解决方案二:这个不难啊,你新创建一个服务器,作为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQWlmz.html" rel="bookmark" class="title">&lbrack;Android&rsqb;电量优化之app算法</a>
					<div>
						针对Android的电量优化,应该是很多开发者最关心的几大问题之一. 最近我正在看相关的资料,希望跟大家一起探讨学习.  关于电量,我们最需要处理的问题就是两个方向: (1)第三方APP和系统本身是如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlXmXp.html" rel="bookmark" class="title">zephir-&lpar;10&rpar;内置函数</a>
					<div>
						zephir-内置函数 前言 先在这里感谢各位zephir开源技术提供者 嗨!大家好呀,今天要和大家一同学习zephir的内置函数,学过PHP的同学都知道,PHP的函数非常强大,当然这也是我们喜欢PH ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRWx3p.html" rel="bookmark" class="title">excel使用C&num;开发插件，如何将Worksheets&lbrack;i&rsqb;转成Worksheet&quest;</a>
					<div>
						问题描述 我现在有10个Worksheet,然后我希望在每个Sheet里面插入一个图表,我写了这样的代码:Excel.Rangestart=Worksheets[sheet_num].Cells[1, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB2kAb.html" rel="bookmark" class="title">Java反射机制（二）：通过反射取得类的结构</a>
					<div>
						在反射运用过程中,如果你想得到一个类的完整结构,那么就要使用到java.lang.reflect包中的几个类: · Constructor  表示类中的构造方法 · Field  表示类中的属性 ·  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQB6XWM.html" rel="bookmark" class="title">Spring事务配置的五种方式 巨全！不看后悔，一看必懂！</a>
					<div>
						前段时间对Spring的事务配置做了比较深入的研究,在此之间对Spring的事务配置虽说也配置过,但是一直没有一个清楚的认识.通过这次的学习发觉Spring的事务配置只要把思路理清,还是比较好掌握的. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqA2Qz.html" rel="bookmark" class="title">一个疑难故障，坑了我半年青春-----知识就是生产力</a>
					<div>
						作者介绍 林伟壕,网易游戏资深运维工程师.现任职于网易游戏,从事游戏运维相关工作:曾就职于中国电信,负责数据网络维护.网络安全防御等工作.深入研究Linux运维.虚拟化等,现致力于企业级网络安全防护自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmK975b.html" rel="bookmark" class="title">30多年程序员生涯经验总结&lpar;成功源自于失败中的学习；失败则是因为容忍错误的横行&rpar;</a>
					<div>
						英文原文:Lessons From A Lifetime Of Being A Programmer 在我 30 多年的程序员生涯里,我学到了不少有用的东西.下面是我这些年积累的经验精华.我常常想,如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RkePz.html" rel="bookmark" class="title">App应用开发并不容易</a>
					<div>
						  个人开发者吐槽App开发创业是很艰难的,月均收入只有千元;未找到商业模式,移动互联网投资大幅放缓. &quot;如果继续这样下去,某天我可能会死在电脑前,而我的搭档可能就要和我离婚了.&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKkWdb.html" rel="bookmark" class="title">浅谈：软文在A5通过审核之路</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 很多人都希望自己在A5上发表的文章 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmB0qM.html" rel="bookmark" class="title">诺基亚欲推全新触控屏幕平板电脑</a>
					<div>
						诺基亚曾推出的N810互联网设备 CNET科技资讯网4月8日国际报道 恍如昨天才一堆公司说要推电子书阅读器,结果苹果iPad正式推出后,大家也纷纷转向要跟进推出平板电脑. 根据Rodman Rensh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR887b.html" rel="bookmark" class="title">使用Docker在本地搭建hadoop，spark集群</a>
					<div>
						本环境使用的单个宿主主机,而不是跨主机集群,本spark集群环境存在的意义可能在于便于本地开发测试使用,非常轻量级和便捷.这个部署过程,最好在之前有过一定的hadoop,spark集群部署经验的基础, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YYeBz.html" rel="bookmark" class="title">SEO中地域性的重要 让地区性站长少走SEO弯路</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 本文只是以自己做的地区网站为经验, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RD2Wz.html" rel="bookmark" class="title">几个关于graphics绘图的问题</a>
					<div>
						问题描述 1.paint()似乎是不能由用户来调用的,而repaint()只能重做paint()里有的工作.现在我想在程序运行过程中画图,应该怎么做?比如说,用户点击一个button,就会在图上一个地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YJZyb.html" rel="bookmark" class="title">koahubjs 更新 0&period;07，Node&period;js web 快速开发框架</a>
					<div>
						koahubjs 更新至 0.07 1.更新启动文件 // src/index.js启动文件 import Koahub from &quot;koahubjs&quot;; //默认app是项目目录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlWm3Rb.html" rel="bookmark" class="title">Google Home自动介绍新片上映 谷歌：这不是广告</a>
					<div>
						北京时间3月17日消息,本周四,美国电子票销售商Vivid Seats LLC的在线搜索高管布莱森·默尼耶(Bryson Meunier)在Twitter公布一段视频,从中我们也许可以搞清一个问题:未 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
